Bug 101656 - Applications in Core & CMS needs consistent top-level XSL file name
Applications in Core & CMS needs consistent top-level XSL file name
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: ui (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-05 05:56 EDT by Daniel Berrange
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-08-05 05:56:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
For the recently merged PatternStylesheetResolver to be of any use, all
applications need to follow a consistent naming convention for their top level
stylesheet. The, default stylesheet-paths.txt file specifies a convention of:

  /packages/::application::/xsl/::application::_::locale::.xsl
  /packages/::application::/xsl/::application::.xsl

Where ::application:: is the package-key for the app. Thus, the admin app would
create its top level XSL file as:

  /packages/admin/xsl/admin_en.xsl

or

  /packages/admin/xsl/admin.xsl

However, currently, the naming for apps is totally ad-hoc, so the admin XSLT is
in fact in 

  /packages/acs-admin/xsl/admin_en.xsl

Rather than moving all the existing XSLT (which would break any client XSL that
uses relative xsl:imports), I sugest we just write some simple wrappers &
deprecate the old locations:

<?xml version="1.0"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="1.0">

  <xsl:import href="../../acs-admin/xsl/admin_en.xsl"/> 
</xsl:stylesheet>


One further thought is that perhaps the current entry in stylesheet-paths.txt is
redundant. Since ::package:: occurrs twice in each filename....

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure server to use PatternStylesheetResolver
2. Start server
3. Visit /admin/
    

Actual Results:  Exception is thrown because it can't find the top level XSL
file for the package.

Expected Results:  It displays normally.

Additional info:
Comment 1 Daniel Berrange 2003-08-22 14:17:12 EDT
This is now done on a branch of core/cms in p4 35159. We still need to decide on
the default location for top level files, which I've currently chosen to be

/__ccm__/apps/::application::/xsl/::url::.xsl
Comment 2 Daniel Berrange 2006-09-02 13:20:26 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.